> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete CDN resource

> Delete the CDN resource from the system permanently.

Notes:
- **Deactivation Requirement**: Set the `active` attribute to `false` before deletion.
- **Statistics Availability**: Statistics will be available for **365 days** after deletion through the [statistics endpoints](/docs/api-reference/cdn/cdn-statistics/cdn-resource-statistics).
- **Irreversibility**: This action is irreversible. Once deleted, the CDN resource cannot be recovered.



## OpenAPI

````yaml /api-reference/services_documented/cdn_api.yaml delete /cdn/resources/{resource_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN service
    description: Information about the current state of the CDN service in your account.
    x-displayName: CDN service
  - name: CDN resources
    x-displayName: CDN resources
  - name: Origins
    x-displayName: Origins
  - name: Rules
    description: >-
      Rules allow to set up custom settings for certain file types or paths.

      By default, the rule inherits all options values from the related CDN
      resource.


      Each option in rule settings can be in one of the following states:

      - **Inherit** - Option is not added to the rule. Option inherits its value
      from the CDN resource settings. In this case, the option value is
      **null**.

      - **ON** - Option is added to the rule and enabled. Option values
      configured in the rule will override values from the CDN resource
      settings.

      - **OFF** - Option is added to the rule and disabled. Option will be
      turned off.
    x-displayName: Rules
  - name: Rule templates
    x-displayName: Rule templates
  - name: SSL certificates
    x-displayName: SSL certificates
  - name: Let's Encrypt certificates
    x-displayName: Let's Encrypt certificates
  - name: CA certificates
    x-displayName: CA certificates
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
    x-displayName: CDN activity logs
  - name: Log viewer
    description: >-
      Log viewer provides you with general information about CDN operation. This
      information does not contain all possible

      sets of fields and restricted by time. To receive full data, use Logs
      Uploader.
    x-displayName: Log viewer
  - name: Logs uploader
    description: >-
      Logs uploader allows you to upload logs with desired format to desired
      storages.


      Consists of three main parts:

      - **Policies** - rules that define which logs are uploaded and how they
      are uploaded.

      - **Targets** - destinations where logs are uploaded.

      - **Configs** - combinations of logs uploader policies, targets and
      resources to which they are applied.
    x-displayName: Logs uploader
  - name: Tools
    x-displayName: Tools
  - name: CDN Statistics
    description: >-
      Consumption statistics is updated in near real-time as a standard
      practice.

      However, the frequency of updates can vary, but they are typically
      available within a 24-hour period.

      Exceptions, such as maintenance periods, may delay data beyond 24 hours
      until servers resume and fill in the missing statistics.
    x-displayName: Statistics
  - name: Advanced analytics
    description: >-
      Advanced analytics allows to get statistics about unique visitors,
      traffic, and requests for countries, directories, browsers, devices, and
      operation systems for up to 90 days starting from today.


      Advanced analytics API is based on the [GraphQL
      framework](https://graphql.org/).


      Advanced analytics API has one single endpoint:

       https://api.gcore.com/cdn/advanced/v2/query

      You can pass the query parameters as a JSON object in the payload of a
      POST request to this endpoint.

      You can use curl to make requests to the Advanced analytics API.
      Alternatively, you can use a GraphQL client

      to construct queries and pass requests to the Advanced analytics API.


      You can write queries in GraphQL much like in SQL: specify the data set
      (CDN resource), the metrics

      to retrieve (such as unique visitors and traffic), and filter or group by
      dimensions (for example, a country).
    x-displayName: Advanced analytics
  - name: Origin shielding
    x-displayName: Origin shielding
  - name: IP addresses list
    x-displayName: IP addresses list
  - name: Purge history
    x-displayName: Purge history
paths:
  /cdn/resources/{resource_id}:
    delete:
      tags:
        - CDN resources
      summary: Delete CDN resource
      description: >-
        Delete the CDN resource from the system permanently.


        Notes:

        - **Deactivation Requirement**: Set the `active` attribute to `false`
        before deletion.

        - **Statistics Availability**: Statistics will be available for **365
        days** after deletion through the [statistics
        endpoints](/docs/api-reference/cdn/cdn-statistics/cdn-resource-statistics).

        - **Irreversibility**: This action is irreversible. Once deleted, the
        CDN resource cannot be recovered.
      operationId: delete-cdn-resource
      parameters:
        - $ref: '#/components/parameters/resource_id'
      responses:
        '204':
          description: Successful
        '400':
          description: Failed to delete the CDN resource.
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/PrimaryResourceDeletionFailed'
                  - $ref: '#/components/schemas/StreamingResourceDeletionFailed'
                  - $ref: '#/components/schemas/FullCustomResourceDeletionFailed'
                  - $ref: '#/components/schemas/ActiveInstanceDeletionProhibited'
        '404':
          $ref: '#/components/responses/ResourceNotFound'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            client.cdn.cdn_resources.delete(
                0,
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.CDN.CDNResources.Delete(context.TODO(), 0)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
components:
  parameters:
    resource_id:
      in: path
      name: resource_id
      description: CDN resource ID.
      required: true
      schema:
        type: integer
  schemas:
    PrimaryResourceDeletionFailed:
      title: It's a primary resource
      type: object
      properties:
        errors:
          type: array
          description: >-
            This resource is used as primary for common cache feature and cannot
            be deleted.

            Please delete linked resources first.
          items:
            type: string
          example:
            - >-
              The CDN resource is used as primary for common cache feature and
              can not be deleted. Delete linked resources first [29]
    StreamingResourceDeletionFailed:
      title: It's a resource for the Streaming service
      type: object
      properties:
        errors:
          type: array
          description: >-
            This resource is integrated with the Streaming service and cannot be
            deleted.

            Please stop using the resource in the Streaming service before
            deletion.
          items:
            type: string
          example:
            - >-
              The CDN resource is integrated with the streaming and can not be
              deleted.
    FullCustomResourceDeletionFailed:
      title: Resource has a custom configuration
      type: object
      properties:
        errors:
          type: array
          description: |-
            This resource has a custom configuration and cannot be deleted.
            To delete the resource, contact technical support.
          items:
            type: string
          example:
            - >-
              You cannot delete this resource because it has a custom
              configuration. To delete the resource, contact technical support.
    ActiveInstanceDeletionProhibited:
      title: Cannot delete an active instance.
      type: object
      properties:
        errors:
          type: array
          items:
            type: string
          description: >-
            Deletion of an active instance is prohibited. Please deactivate it
            before attempting deletion.
          example:
            - >-
              Deletion of this instance is currently not possible as it is in an
              active state. Please deactivate it before attempting the deletion
              request again.
  responses:
    ResourceNotFound:
      description: The specified CDN resource is not found in the current account.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````